<?php

/**
 * @file
 * mgis_inaturalist.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function mgis_inaturalist_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'gbif';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'gbif_occurrence';
  $view->human_name = 'GBIF';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Browse GBIF occurrences';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'review inaturalist observations';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = 'You are currently viewing occurrences directly retrieved from GBIF. In order to import them locally, mark them as "staged for migration". Occurences already staged or imported are disabled. By default all taxons belonging to Musaceae (taxon key = 4686) are displayed.';
  $handler->display->display_options['header']['area']['format'] = 'plain_text';
  /* Field: Bulk operations: GBIF occurrence */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_gbif_occurrence';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['row_clickable'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::gbif_occurrence_reject' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'skip_permission_check' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::gbif_occurrence_stage_for_migration' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'skip_permission_check' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::gbif_occurrence_unlock_rejected' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'skip_permission_check' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  /* Field: GBIF occurrence: Import status */
  $handler->display->display_options['fields']['import_status']['id'] = 'import_status';
  $handler->display->display_options['fields']['import_status']['table'] = 'gbif_occurrence';
  $handler->display->display_options['fields']['import_status']['field'] = 'import_status';
  /* Field: GBIF occurrence: Gbif occurrence ID */
  $handler->display->display_options['fields']['key']['id'] = 'key';
  $handler->display->display_options['fields']['key']['table'] = 'gbif_occurrence';
  $handler->display->display_options['fields']['key']['field'] = 'key';
  $handler->display->display_options['fields']['key']['exclude'] = TRUE;
  $handler->display->display_options['fields']['key']['separator'] = '';
  /* Field: GBIF occurrence: Scientific name */
  $handler->display->display_options['fields']['scientificName']['id'] = 'scientificName';
  $handler->display->display_options['fields']['scientificName']['table'] = 'gbif_occurrence';
  $handler->display->display_options['fields']['scientificName']['field'] = 'scientificName';
  $handler->display->display_options['fields']['scientificName']['alter']['text'] = '[scientificName] ([key])';
  $handler->display->display_options['fields']['scientificName']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['scientificName']['alter']['path'] = 'https://www.gbif.org/occurrence/[key]';
  $handler->display->display_options['fields']['scientificName']['alter']['target'] = '_blank';
  /* Field: GBIF occurrence: Country */
  $handler->display->display_options['fields']['country']['id'] = 'country';
  $handler->display->display_options['fields']['country']['table'] = 'gbif_occurrence';
  $handler->display->display_options['fields']['country']['field'] = 'country';
  /* Field: GBIF occurrence: Event date */
  $handler->display->display_options['fields']['eventDate']['id'] = 'eventDate';
  $handler->display->display_options['fields']['eventDate']['table'] = 'gbif_occurrence';
  $handler->display->display_options['fields']['eventDate']['field'] = 'eventDate';
  /* Field: GBIF occurrence: Basis of record */
  $handler->display->display_options['fields']['basisOfRecord']['id'] = 'basisOfRecord';
  $handler->display->display_options['fields']['basisOfRecord']['table'] = 'gbif_occurrence';
  $handler->display->display_options['fields']['basisOfRecord']['field'] = 'basisOfRecord';
  /* Field: GBIF occurrence: Institution code */
  $handler->display->display_options['fields']['institutionCode']['id'] = 'institutionCode';
  $handler->display->display_options['fields']['institutionCode']['table'] = 'gbif_occurrence';
  $handler->display->display_options['fields']['institutionCode']['field'] = 'institutionCode';
  /* Field: GBIF occurrence: Recorded by */
  $handler->display->display_options['fields']['recordedBy']['id'] = 'recordedBy';
  $handler->display->display_options['fields']['recordedBy']['table'] = 'gbif_occurrence';
  $handler->display->display_options['fields']['recordedBy']['field'] = 'recordedBy';
  /* Filter criterion: GBIF occurrence: Taxon key */
  $handler->display->display_options['filters']['taxonKey']['id'] = 'taxonKey';
  $handler->display->display_options['filters']['taxonKey']['table'] = 'gbif_occurrence';
  $handler->display->display_options['filters']['taxonKey']['field'] = 'taxonKey';
  $handler->display->display_options['filters']['taxonKey']['value'] = '4686';
  $handler->display->display_options['filters']['taxonKey']['exposed'] = TRUE;
  $handler->display->display_options['filters']['taxonKey']['expose']['operator_id'] = 'taxonKey_op';
  $handler->display->display_options['filters']['taxonKey']['expose']['label'] = 'Taxon key';
  $handler->display->display_options['filters']['taxonKey']['expose']['operator'] = 'taxonKey_op';
  $handler->display->display_options['filters']['taxonKey']['expose']['identifier'] = 'taxonKey';
  $handler->display->display_options['filters']['taxonKey']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: GBIF occurrence: Year */
  $handler->display->display_options['filters']['year']['id'] = 'year';
  $handler->display->display_options['filters']['year']['table'] = 'gbif_occurrence';
  $handler->display->display_options['filters']['year']['field'] = 'year';
  $handler->display->display_options['filters']['year']['exposed'] = TRUE;
  $handler->display->display_options['filters']['year']['expose']['operator_id'] = 'year_op';
  $handler->display->display_options['filters']['year']['expose']['label'] = 'Year';
  $handler->display->display_options['filters']['year']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['year']['expose']['operator'] = 'year_op';
  $handler->display->display_options['filters']['year']['expose']['identifier'] = 'year';
  $handler->display->display_options['filters']['year']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: GBIF occurrence: Basis of record */
  $handler->display->display_options['filters']['basisOfRecord']['id'] = 'basisOfRecord';
  $handler->display->display_options['filters']['basisOfRecord']['table'] = 'gbif_occurrence';
  $handler->display->display_options['filters']['basisOfRecord']['field'] = 'basisOfRecord';
  $handler->display->display_options['filters']['basisOfRecord']['exposed'] = TRUE;
  $handler->display->display_options['filters']['basisOfRecord']['expose']['operator_id'] = 'basisOfRecord_op';
  $handler->display->display_options['filters']['basisOfRecord']['expose']['label'] = 'Basis of record';
  $handler->display->display_options['filters']['basisOfRecord']['expose']['operator'] = 'basisOfRecord_op';
  $handler->display->display_options['filters']['basisOfRecord']['expose']['identifier'] = 'basisOfRecord';
  $handler->display->display_options['filters']['basisOfRecord']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: GBIF occurrence: Country */
  $handler->display->display_options['filters']['country']['id'] = 'country';
  $handler->display->display_options['filters']['country']['table'] = 'gbif_occurrence';
  $handler->display->display_options['filters']['country']['field'] = 'country';
  $handler->display->display_options['filters']['country']['exposed'] = TRUE;
  $handler->display->display_options['filters']['country']['expose']['operator_id'] = 'country_op';
  $handler->display->display_options['filters']['country']['expose']['label'] = 'Country';
  $handler->display->display_options['filters']['country']['expose']['operator'] = 'country_op';
  $handler->display->display_options['filters']['country']['expose']['identifier'] = 'country';
  $handler->display->display_options['filters']['country']['expose']['remember_roles'] = array(
    2 => '2',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'gbif';
  $export['gbif'] = $view;

  $view = new view();
  $view->name = 'in_situ_obs';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'stock';
  $view->human_name = 'In situ observations';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'In situ observations';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'export in situ observations';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Relationship: Stockprop in situ country */
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['id'] = 'stock_id_to_stockprop';
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['field'] = 'stock_id_to_stockprop';
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['ui_name'] = 'Stockprop in situ country';
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['label'] = 'stock_id => Stockprop (stock_id) (country)';
  /* Relationship: Stockprop uncertainty */
  $handler->display->display_options['relationships']['stock_id_to_stockprop_1']['id'] = 'stock_id_to_stockprop_1';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_1']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_1']['field'] = 'stock_id_to_stockprop';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_1']['ui_name'] = 'Stockprop uncertainty';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_1']['label'] = 'stock_id => Stockprop (stock_id) (uncertainty)';
  /* Relationship: Stockprop note */
  $handler->display->display_options['relationships']['stock_id_to_stockprop_2']['id'] = 'stock_id_to_stockprop_2';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_2']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_2']['field'] = 'stock_id_to_stockprop';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_2']['ui_name'] = 'Stockprop note';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_2']['label'] = 'stock_id => Stockprop (stock_id) (note)';
  /* Relationship: Stockprop usability */
  $handler->display->display_options['relationships']['stock_id_to_stockprop_3']['id'] = 'stock_id_to_stockprop_3';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_3']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_3']['field'] = 'stock_id_to_stockprop';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_3']['ui_name'] = 'Stockprop usability';
  $handler->display->display_options['relationships']['stock_id_to_stockprop_3']['label'] = 'stock_id => Stockprop (stock_id) (usability)';
  /* Relationship: Chado Stock: stock_id => Nd Experiment Stock (stock_id) */
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['id'] = 'stock_id_to_nd_experiment_stock';
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['field'] = 'stock_id_to_nd_experiment_stock';
  /* Relationship: Chado Nd Experiment Stock: nd_experiment_id => Nd Experiment (nd_experiment_id) */
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experiment']['id'] = 'nd_experiment_id_to_nd_experiment';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experiment']['table'] = 'nd_experiment_stock';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experiment']['field'] = 'nd_experiment_id_to_nd_experiment';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experiment']['relationship'] = 'stock_id_to_nd_experiment_stock';
  /* Relationship: Chado Nd Experiment: nd_geolocation_id => Nd Geolocation (nd_geolocation_id) */
  $handler->display->display_options['relationships']['nd_geolocation_id_to_nd_geolocation']['id'] = 'nd_geolocation_id_to_nd_geolocation';
  $handler->display->display_options['relationships']['nd_geolocation_id_to_nd_geolocation']['table'] = 'nd_experiment';
  $handler->display->display_options['relationships']['nd_geolocation_id_to_nd_geolocation']['field'] = 'nd_geolocation_id_to_nd_geolocation';
  $handler->display->display_options['relationships']['nd_geolocation_id_to_nd_geolocation']['relationship'] = 'nd_experiment_id_to_nd_experiment';
  /* Relationship: Chado Stock: stock_id => Stock Dbxref (stock_id) */
  $handler->display->display_options['relationships']['stock_id_to_stock_dbxref']['id'] = 'stock_id_to_stock_dbxref';
  $handler->display->display_options['relationships']['stock_id_to_stock_dbxref']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stock_dbxref']['field'] = 'stock_id_to_stock_dbxref';
  /* Relationship: Chado Stock Dbxref: dbxref_id => Dbxref (dbxref_id) */
  $handler->display->display_options['relationships']['dbxref_id_to_dbxref']['id'] = 'dbxref_id_to_dbxref';
  $handler->display->display_options['relationships']['dbxref_id_to_dbxref']['table'] = 'stock_dbxref';
  $handler->display->display_options['relationships']['dbxref_id_to_dbxref']['field'] = 'dbxref_id_to_dbxref';
  $handler->display->display_options['relationships']['dbxref_id_to_dbxref']['relationship'] = 'stock_id_to_stock_dbxref';
  /* Relationship: stock_cvterm (reviewed) */
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['id'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['field'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['ui_name'] = 'stock_cvterm (reviewed)';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['label'] = 'stock_id => Stock Cvterm (stock_id) reviewed';
  /* Relationship: stock_cvterm (hidden) */
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['id'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['field'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['ui_name'] = 'stock_cvterm (hidden)';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['label'] = 'stock_id => Stock Cvterm (stock_id) hidden';
  /* Field: Chado Stock: Uniquename */
  $handler->display->display_options['fields']['uniquename']['id'] = 'uniquename';
  $handler->display->display_options['fields']['uniquename']['table'] = 'stock';
  $handler->display->display_options['fields']['uniquename']['field'] = 'uniquename';
  $handler->display->display_options['fields']['uniquename']['element_label_colon'] = FALSE;
  /* Field: Chado Stock: Organism Id */
  $handler->display->display_options['fields']['organism_id']['id'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id']['table'] = 'stock';
  $handler->display->display_options['fields']['organism_id']['field'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id']['label'] = 'Genus';
  $handler->display->display_options['fields']['organism_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['organism_id']['separator'] = '';
  $handler->display->display_options['fields']['organism_id']['format'] = 'genus';
  /* Field: Chado Stock: Organism Id */
  $handler->display->display_options['fields']['organism_id_1']['id'] = 'organism_id_1';
  $handler->display->display_options['fields']['organism_id_1']['table'] = 'stock';
  $handler->display->display_options['fields']['organism_id_1']['field'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id_1']['label'] = 'Species/group';
  $handler->display->display_options['fields']['organism_id_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['organism_id_1']['separator'] = '';
  $handler->display->display_options['fields']['organism_id_1']['format'] = 'species';
  /* Field: Chado Stock: Organism Id */
  $handler->display->display_options['fields']['organism_id_2']['id'] = 'organism_id_2';
  $handler->display->display_options['fields']['organism_id_2']['table'] = 'stock';
  $handler->display->display_options['fields']['organism_id_2']['field'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id_2']['label'] = 'Subspecies/subgroup';
  $handler->display->display_options['fields']['organism_id_2']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['organism_id_2']['separator'] = '';
  $handler->display->display_options['fields']['organism_id_2']['format'] = 'subspecies';
  /* Field: Chado Stockprop: Value */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'stockprop';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['fields']['value']['relationship'] = 'stock_id_to_stockprop';
  $handler->display->display_options['fields']['value']['label'] = 'Country';
  $handler->display->display_options['fields']['value']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['value']['format'] = 'country';
  /* Field: Chado Nd Geolocation: Latitude */
  $handler->display->display_options['fields']['latitude']['id'] = 'latitude';
  $handler->display->display_options['fields']['latitude']['table'] = 'nd_geolocation';
  $handler->display->display_options['fields']['latitude']['field'] = 'latitude';
  $handler->display->display_options['fields']['latitude']['relationship'] = 'nd_experiment_id_to_nd_experiment';
  $handler->display->display_options['fields']['latitude']['element_label_colon'] = FALSE;
  /* Field: Chado Nd Geolocation: Longitude */
  $handler->display->display_options['fields']['longitude']['id'] = 'longitude';
  $handler->display->display_options['fields']['longitude']['table'] = 'nd_geolocation';
  $handler->display->display_options['fields']['longitude']['field'] = 'longitude';
  $handler->display->display_options['fields']['longitude']['relationship'] = 'nd_experiment_id_to_nd_experiment';
  $handler->display->display_options['fields']['longitude']['element_label_colon'] = FALSE;
  /* Field: Chado Stockprop: Value */
  $handler->display->display_options['fields']['value_1']['id'] = 'value_1';
  $handler->display->display_options['fields']['value_1']['table'] = 'stockprop';
  $handler->display->display_options['fields']['value_1']['field'] = 'value';
  $handler->display->display_options['fields']['value_1']['relationship'] = 'stock_id_to_stockprop_1';
  $handler->display->display_options['fields']['value_1']['label'] = 'Uncertainty';
  $handler->display->display_options['fields']['value_1']['element_label_colon'] = FALSE;
  /* Field: Chado Stockprop: Value */
  $handler->display->display_options['fields']['value_2']['id'] = 'value_2';
  $handler->display->display_options['fields']['value_2']['table'] = 'stockprop';
  $handler->display->display_options['fields']['value_2']['field'] = 'value';
  $handler->display->display_options['fields']['value_2']['relationship'] = 'stock_id_to_stockprop_2';
  $handler->display->display_options['fields']['value_2']['label'] = 'Remark';
  $handler->display->display_options['fields']['value_2']['element_label_colon'] = FALSE;
  /* Field: Chado Stockprop: Value */
  $handler->display->display_options['fields']['value_3']['id'] = 'value_3';
  $handler->display->display_options['fields']['value_3']['table'] = 'stockprop';
  $handler->display->display_options['fields']['value_3']['field'] = 'value';
  $handler->display->display_options['fields']['value_3']['relationship'] = 'stock_id_to_stockprop_3';
  $handler->display->display_options['fields']['value_3']['label'] = 'Usability';
  $handler->display->display_options['fields']['value_3']['element_label_colon'] = FALSE;
  /* Field: Chado Dbxref: Accession */
  $handler->display->display_options['fields']['accession']['id'] = 'accession';
  $handler->display->display_options['fields']['accession']['table'] = 'dbxref';
  $handler->display->display_options['fields']['accession']['field'] = 'accession';
  $handler->display->display_options['fields']['accession']['relationship'] = 'dbxref_id_to_dbxref';
  $handler->display->display_options['fields']['accession']['exclude'] = TRUE;
  $handler->display->display_options['fields']['accession']['element_label_colon'] = FALSE;
  /* Field: Chado Db: Urlprefix */
  $handler->display->display_options['fields']['urlprefix']['id'] = 'urlprefix';
  $handler->display->display_options['fields']['urlprefix']['table'] = 'db';
  $handler->display->display_options['fields']['urlprefix']['field'] = 'urlprefix';
  $handler->display->display_options['fields']['urlprefix']['relationship'] = 'dbxref_id_to_dbxref';
  $handler->display->display_options['fields']['urlprefix']['exclude'] = TRUE;
  $handler->display->display_options['fields']['urlprefix']['element_label_colon'] = FALSE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Page URL';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '[urlprefix][accession]';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  /* Field: stock_cvterm.is_not reviewed */
  $handler->display->display_options['fields']['is_not']['id'] = 'is_not';
  $handler->display->display_options['fields']['is_not']['table'] = 'stock_cvterm';
  $handler->display->display_options['fields']['is_not']['field'] = 'is_not';
  $handler->display->display_options['fields']['is_not']['relationship'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['fields']['is_not']['ui_name'] = 'stock_cvterm.is_not reviewed';
  $handler->display->display_options['fields']['is_not']['label'] = 'Reviewed';
  $handler->display->display_options['fields']['is_not']['not'] = 1;
  /* Field: stock_cvterm.is_not hidden */
  $handler->display->display_options['fields']['is_not_1']['id'] = 'is_not_1';
  $handler->display->display_options['fields']['is_not_1']['table'] = 'stock_cvterm';
  $handler->display->display_options['fields']['is_not_1']['field'] = 'is_not';
  $handler->display->display_options['fields']['is_not_1']['relationship'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['fields']['is_not_1']['ui_name'] = 'stock_cvterm.is_not hidden';
  $handler->display->display_options['fields']['is_not_1']['label'] = 'Hidden';
  $handler->display->display_options['fields']['is_not_1']['not'] = 1;
  /* Sort criterion: Chado Stock: Uniquename */
  $handler->display->display_options['sorts']['uniquename']['id'] = 'uniquename';
  $handler->display->display_options['sorts']['uniquename']['table'] = 'stock';
  $handler->display->display_options['sorts']['uniquename']['field'] = 'uniquename';
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    3 => 'OR',
    2 => 'OR',
  );
  /* Filter criterion: Chado Stockprop: Type Id */
  $handler->display->display_options['filters']['type_id_2']['id'] = 'type_id_2';
  $handler->display->display_options['filters']['type_id_2']['table'] = 'stockprop';
  $handler->display->display_options['filters']['type_id_2']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_2']['relationship'] = 'stock_id_to_stockprop';
  $handler->display->display_options['filters']['type_id_2']['value'] = '49667';
  $handler->display->display_options['filters']['type_id_2']['group'] = 1;
  $handler->display->display_options['filters']['type_id_2']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_2']['max_length'] = '40';
  /* Filter criterion: Chado Stockprop: Type Id */
  $handler->display->display_options['filters']['type_id_3']['id'] = 'type_id_3';
  $handler->display->display_options['filters']['type_id_3']['table'] = 'stockprop';
  $handler->display->display_options['filters']['type_id_3']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_3']['relationship'] = 'stock_id_to_stockprop_1';
  $handler->display->display_options['filters']['type_id_3']['value'] = '49627';
  $handler->display->display_options['filters']['type_id_3']['group'] = 1;
  $handler->display->display_options['filters']['type_id_3']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_3']['max_length'] = '40';
  /* Filter criterion: Chado Stockprop: Type Id */
  $handler->display->display_options['filters']['type_id_4']['id'] = 'type_id_4';
  $handler->display->display_options['filters']['type_id_4']['table'] = 'stockprop';
  $handler->display->display_options['filters']['type_id_4']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_4']['relationship'] = 'stock_id_to_stockprop_2';
  $handler->display->display_options['filters']['type_id_4']['value'] = '49728';
  $handler->display->display_options['filters']['type_id_4']['group'] = 1;
  $handler->display->display_options['filters']['type_id_4']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_4']['max_length'] = '40';
  /* Filter criterion: Chado Stockprop: Type Id */
  $handler->display->display_options['filters']['type_id_5']['id'] = 'type_id_5';
  $handler->display->display_options['filters']['type_id_5']['table'] = 'stockprop';
  $handler->display->display_options['filters']['type_id_5']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_5']['relationship'] = 'stock_id_to_stockprop_3';
  $handler->display->display_options['filters']['type_id_5']['value'] = '49729';
  $handler->display->display_options['filters']['type_id_5']['group'] = 1;
  $handler->display->display_options['filters']['type_id_5']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_5']['max_length'] = '40';
  /* Filter criterion: Chado Db: Db Id */
  $handler->display->display_options['filters']['db_id_1']['id'] = 'db_id_1';
  $handler->display->display_options['filters']['db_id_1']['table'] = 'db';
  $handler->display->display_options['filters']['db_id_1']['field'] = 'db_id';
  $handler->display->display_options['filters']['db_id_1']['relationship'] = 'dbxref_id_to_dbxref';
  $handler->display->display_options['filters']['db_id_1']['operator'] = 'not between';
  $handler->display->display_options['filters']['db_id_1']['value']['min'] = '157';
  $handler->display->display_options['filters']['db_id_1']['value']['max'] = '160';
  $handler->display->display_options['filters']['db_id_1']['value']['value'] = '158';
  $handler->display->display_options['filters']['db_id_1']['group'] = 3;
  /* Filter criterion: Chado Db: Db Id */
  $handler->display->display_options['filters']['db_id']['id'] = 'db_id';
  $handler->display->display_options['filters']['db_id']['table'] = 'db';
  $handler->display->display_options['filters']['db_id']['field'] = 'db_id';
  $handler->display->display_options['filters']['db_id']['relationship'] = 'dbxref_id_to_dbxref';
  $handler->display->display_options['filters']['db_id']['operator'] = 'empty';
  $handler->display->display_options['filters']['db_id']['group'] = 3;
  /* Filter criterion: Chado Stock: Type Id */
  $handler->display->display_options['filters']['type_id']['id'] = 'type_id';
  $handler->display->display_options['filters']['type_id']['table'] = 'stock';
  $handler->display->display_options['filters']['type_id']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id']['value'] = '49726';
  $handler->display->display_options['filters']['type_id']['group'] = 2;
  $handler->display->display_options['filters']['type_id']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id']['max_length'] = '40';
  /* Filter criterion: Chado Stock: Type Id */
  $handler->display->display_options['filters']['type_id_1']['id'] = 'type_id_1';
  $handler->display->display_options['filters']['type_id_1']['table'] = 'stock';
  $handler->display->display_options['filters']['type_id_1']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_1']['value'] = '49661';
  $handler->display->display_options['filters']['type_id_1']['group'] = 2;
  $handler->display->display_options['filters']['type_id_1']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_1']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.cvterm_id reviewed */
  $handler->display->display_options['filters']['cvterm_id']['id'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id']['field'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id']['relationship'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id']['ui_name'] = 'stock_cvterm.cvterm_id reviewed';
  $handler->display->display_options['filters']['cvterm_id']['value'] = '49663';
  $handler->display->display_options['filters']['cvterm_id']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['cvterm_id']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.cvterm_id hidden */
  $handler->display->display_options['filters']['cvterm_id_1']['id'] = 'cvterm_id_1';
  $handler->display->display_options['filters']['cvterm_id_1']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id_1']['field'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id_1']['relationship'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['filters']['cvterm_id_1']['ui_name'] = 'stock_cvterm.cvterm_id hidden';
  $handler->display->display_options['filters']['cvterm_id_1']['value'] = '49664';
  $handler->display->display_options['filters']['cvterm_id_1']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['cvterm_id_1']['max_length'] = '40';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'in-situ-observations';

  /* Display: Data export */
  $handler = $view->new_display('views_data_export', 'Data export', 'views_data_export_1');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['style_options']['provide_file'] = 0;
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['style_options']['quote'] = 1;
  $handler->display->display_options['style_options']['trim'] = 0;
  $handler->display->display_options['style_options']['replace_newlines'] = 0;
  $handler->display->display_options['style_options']['newline_token'] = '1';
  $handler->display->display_options['style_options']['header'] = 1;
  $handler->display->display_options['style_options']['keep_html'] = 0;
  $handler->display->display_options['path'] = 'in-situ-observations.csv';
  $handler->display->display_options['displays'] = array(
    'page' => 'page',
    'default' => 0,
  );
  $handler->display->display_options['use_batch'] = 'batch';
  $handler->display->display_options['segment_size'] = '100';
  $export['in_situ_obs'] = $view;

  $view = new view();
  $view->name = 'inaturalist_advanced_search';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'search_api_index_inaturalist_index';
  $view->human_name = 'iNaturalist advanced search';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'In Situ Observations';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '40';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Footer: Global: PHP */
  $handler->display->display_options['footer']['php']['id'] = 'php';
  $handler->display->display_options['footer']['php']['table'] = 'views';
  $handler->display->display_options['footer']['php']['field'] = 'php';
  $handler->display->display_options['footer']['php']['php_output'] = '<div class="accession-search-count">
<?php
  // display count
  if ($view->result && $view->total_rows) {
    echo t(\'Showing <span class="count">!count</span> of <span class="total-count">!total</span> observations\', array(\'!count\' => count($view->result), \'!total\' => $view->total_rows));
  }
?>
</div>';
  /* Footer: Global: Stock list */
  $handler->display->display_options['footer']['area_view_stock']['id'] = 'area_view_stock';
  $handler->display->display_options['footer']['area_view_stock']['table'] = 'views';
  $handler->display->display_options['footer']['area_view_stock']['field'] = 'area_view_stock';
  $handler->display->display_options['footer']['area_view_stock']['label'] = 'Stock list';
  $handler->display->display_options['footer']['area_view_stock']['view_to_insert'] = 'inaturalist_list:inaturalist_list_attachment';
  /* Footer: Global: In situ global export */
  $handler->display->display_options['footer']['area_in_situ_csv']['id'] = 'area_in_situ_csv';
  $handler->display->display_options['footer']['area_in_situ_csv']['table'] = 'views';
  $handler->display->display_options['footer']['area_in_situ_csv']['field'] = 'area_in_situ_csv';
  $handler->display->display_options['footer']['area_in_situ_csv']['label'] = 'CSV export link';
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No corresponding observations found.';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Field: Indexed Node: Node ID */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'search_api_index_inaturalist_index';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nid']['separator'] = '';
  $handler->display->display_options['fields']['nid']['link_to_entity'] = 0;
  /* Sort criterion: Indexed Node: Observation date */
  $handler->display->display_options['sorts']['observed_on']['id'] = 'observed_on';
  $handler->display->display_options['sorts']['observed_on']['table'] = 'search_api_index_inaturalist_index';
  $handler->display->display_options['sorts']['observed_on']['field'] = 'observed_on';
  $handler->display->display_options['sorts']['observed_on']['order'] = 'DESC';
  /* Sort criterion: Search: Relevance */
  $handler->display->display_options['sorts']['search_api_relevance']['id'] = 'search_api_relevance';
  $handler->display->display_options['sorts']['search_api_relevance']['table'] = 'search_api_index_inaturalist_index';
  $handler->display->display_options['sorts']['search_api_relevance']['field'] = 'search_api_relevance';
  $handler->display->display_options['sorts']['search_api_relevance']['order'] = 'DESC';
  /* Sort criterion: Indexed Node: Pictures count */
  $handler->display->display_options['sorts']['picture_count']['id'] = 'picture_count';
  $handler->display->display_options['sorts']['picture_count']['table'] = 'search_api_index_inaturalist_index';
  $handler->display->display_options['sorts']['picture_count']['field'] = 'picture_count';
  $handler->display->display_options['sorts']['picture_count']['order'] = 'DESC';
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'OR',
  );
  /* Filter criterion: Contributor login */
  $handler->display->display_options['filters']['search_api_views_fulltext']['id'] = 'search_api_views_fulltext';
  $handler->display->display_options['filters']['search_api_views_fulltext']['table'] = 'search_api_index_inaturalist_index';
  $handler->display->display_options['filters']['search_api_views_fulltext']['field'] = 'search_api_views_fulltext';
  $handler->display->display_options['filters']['search_api_views_fulltext']['ui_name'] = 'Contributor login';
  $handler->display->display_options['filters']['search_api_views_fulltext']['group'] = 1;
  $handler->display->display_options['filters']['search_api_views_fulltext']['exposed'] = TRUE;
  $handler->display->display_options['filters']['search_api_views_fulltext']['expose']['operator_id'] = 'search_api_views_fulltext_op';
  $handler->display->display_options['filters']['search_api_views_fulltext']['expose']['label'] = 'iNaturalist user name';
  $handler->display->display_options['filters']['search_api_views_fulltext']['expose']['operator'] = 'search_api_views_fulltext_op';
  $handler->display->display_options['filters']['search_api_views_fulltext']['expose']['identifier'] = 'contributor_login';
  $handler->display->display_options['filters']['search_api_views_fulltext']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['search_api_views_fulltext']['mode'] = 'filter';
  $handler->display->display_options['filters']['search_api_views_fulltext']['fields'] = array(
    'contributor_login' => 'contributor_login',
  );
  $handler->display->display_options['filters']['search_api_views_fulltext']['analyzer'] = '';
  /* Filter criterion: Indexed Node: Hidden observation */
  $handler->display->display_options['filters']['observation_hidden']['id'] = 'observation_hidden';
  $handler->display->display_options['filters']['observation_hidden']['table'] = 'search_api_index_inaturalist_index';
  $handler->display->display_options['filters']['observation_hidden']['field'] = 'observation_hidden';
  $handler->display->display_options['filters']['observation_hidden']['value'] = '0';
  $handler->display->display_options['filters']['observation_hidden']['group'] = 1;
  /* Filter criterion: Indexed Node: Reviewed observation */
  $handler->display->display_options['filters']['observation_reviewed']['id'] = 'observation_reviewed';
  $handler->display->display_options['filters']['observation_reviewed']['table'] = 'search_api_index_inaturalist_index';
  $handler->display->display_options['filters']['observation_reviewed']['field'] = 'observation_reviewed';
  $handler->display->display_options['filters']['observation_reviewed']['value'] = '1';
  $handler->display->display_options['filters']['observation_reviewed']['group'] = 1;
  /* Filter criterion: stock.type_id inaturalist */
  $handler->display->display_options['filters']['stock_type']['id'] = 'stock_type';
  $handler->display->display_options['filters']['stock_type']['table'] = 'search_api_index_inaturalist_index';
  $handler->display->display_options['filters']['stock_type']['field'] = 'stock_type';
  $handler->display->display_options['filters']['stock_type']['ui_name'] = 'stock.type_id inaturalist';
  $handler->display->display_options['filters']['stock_type']['value']['value'] = 'inaturalist';
  $handler->display->display_options['filters']['stock_type']['group'] = 2;
  /* Filter criterion: stock.type_id banabiomap */
  $handler->display->display_options['filters']['stock_type_1']['id'] = 'stock_type_1';
  $handler->display->display_options['filters']['stock_type_1']['table'] = 'search_api_index_inaturalist_index';
  $handler->display->display_options['filters']['stock_type_1']['field'] = 'stock_type';
  $handler->display->display_options['filters']['stock_type_1']['ui_name'] = 'stock.type_id banabiomap';
  $handler->display->display_options['filters']['stock_type_1']['value']['value'] = 'banabiomap';
  $handler->display->display_options['filters']['stock_type_1']['group'] = 2;
  /* Filter criterion: stock.type_id GBIF */
  $handler->display->display_options['filters']['stock_type_2']['id'] = 'stock_type_2';
  $handler->display->display_options['filters']['stock_type_2']['table'] = 'search_api_index_inaturalist_index';
  $handler->display->display_options['filters']['stock_type_2']['field'] = 'stock_type';
  $handler->display->display_options['filters']['stock_type_2']['ui_name'] = 'stock.type_id GBIF';
  $handler->display->display_options['filters']['stock_type_2']['value']['value'] = 'GBIF';
  $handler->display->display_options['filters']['stock_type_2']['group'] = 2;
  $handler->display->display_options['filters']['stock_type_2']['expose']['operator_id'] = 'stock_type_2_op';
  $handler->display->display_options['filters']['stock_type_2']['expose']['label'] = 'Accession type';
  $handler->display->display_options['filters']['stock_type_2']['expose']['operator'] = 'stock_type_2_op';
  $handler->display->display_options['filters']['stock_type_2']['expose']['identifier'] = 'stock_type_2';
  /* Filter criterion: Indexed Node: Accession uniquename */
  $handler->display->display_options['filters']['stock_uniquename']['id'] = 'stock_uniquename';
  $handler->display->display_options['filters']['stock_uniquename']['table'] = 'search_api_index_inaturalist_index';
  $handler->display->display_options['filters']['stock_uniquename']['field'] = 'stock_uniquename';
  $handler->display->display_options['filters']['stock_uniquename']['exposed'] = TRUE;
  $handler->display->display_options['filters']['stock_uniquename']['expose']['operator_id'] = 'stock_uniquename_op';
  $handler->display->display_options['filters']['stock_uniquename']['expose']['label'] = 'Source';
  $handler->display->display_options['filters']['stock_uniquename']['expose']['operator'] = 'stock_uniquename_op';
  $handler->display->display_options['filters']['stock_uniquename']['expose']['identifier'] = 'stock_uniquename';
  $handler->display->display_options['filters']['stock_uniquename']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['stock_uniquename']['group_info']['label'] = 'Accession uniquename';
  $handler->display->display_options['filters']['stock_uniquename']['group_info']['identifier'] = 'stock_uniquename';
  $handler->display->display_options['filters']['stock_uniquename']['group_info']['remember'] = FALSE;
  $handler->display->display_options['filters']['stock_uniquename']['group_info']['group_items'] = array(
    1 => array(),
    2 => array(),
    3 => array(),
  );

  /* Display: List */
  $handler = $view->new_display('page', 'List', 'page');
  $handler->display->display_options['path'] = 'musa-in-situ/search';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'List';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'In Situ Observations';
  $handler->display->display_options['tab_options']['weight'] = '0';

  /* Display: Map */
  $handler = $view->new_display('page', 'Map', 'page_1');
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '1000';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['footer'] = FALSE;
  /* Footer: Global: Stock list */
  $handler->display->display_options['footer']['area_view_stock']['id'] = 'area_view_stock';
  $handler->display->display_options['footer']['area_view_stock']['table'] = 'views';
  $handler->display->display_options['footer']['area_view_stock']['field'] = 'area_view_stock';
  $handler->display->display_options['footer']['area_view_stock']['label'] = 'Map list';
  $handler->display->display_options['footer']['area_view_stock']['view_to_insert'] = 'inaturalist_list:inaturalist_map_attachment';
  /* Footer: Global: PHP */
  $handler->display->display_options['footer']['php']['id'] = 'php';
  $handler->display->display_options['footer']['php']['table'] = 'views';
  $handler->display->display_options['footer']['php']['field'] = 'php';
  $handler->display->display_options['footer']['php']['php_output'] = '<style>
  .view-inaturalist-advanced-search dl {
    display: flex;
    flex-flow: row wrap;
  }
  .view-inaturalist-advanced-search dt {
    flex-basis: 12%;
    padding: 2px 4px;
  }
  .view-inaturalist-advanced-search dd {
    flex-basis: 77%;
    flex-grow: 1;
    margin: 0;
    padding: 2px 4px;
  }
  .view-inaturalist-advanced-search img.inaticon {
    height: 40px;
    margin-top: 5px;
    margin-bottom: 5px;
    vertical-align: top;
  }
</style>
<?php
  if (1000 <= count($results)) {
    echo \'<br/><br/><div> <img src="/mgis/sites/crop-diversity.org.mgis/files/img/exclamationonyellowtriangle.jpg" class="inaticon" style="float: left; margin: 0 1em 0 0;">The default map displays the last 1.000 observations that were added to the project. Use the filters on the right to refine your search and display a whole selection.</div>\';
  }
?>
<br/>
<dl>
  <dt><img alt="" src="/mgis/sites/crop-diversity.org.mgis/files/img/musanet_logo.jpg" class="inaticon"></dt>
  <dd>This map is based on the observations displayed on the list page. Banana experts from the MusaNet community have curated the observations shown here, which are coming from various sources, including iNaturalist, GBIF, Flickr and specialized literature.</dd>
  <dt><img alt="" src="/mgis/sites/crop-diversity.org.mgis/files/img/clusteredballonsformap.png" class="inaticon"></dt>
  <dd>Observations are clustered to facilitate the opening of the map. However, all observations may be unclustered by using the appropriate icon.</dd>
  <dt><img alt="" src="/mgis/sites/crop-diversity.org.mgis/files/img/layersformap.png" class="inaticon"></dt>
  <dd>
    Some geographical layers are available, mainly related to surface temperature. This feature will be improved as new relevant informative layers become available.<br/>
    Sidebar filters allow refining the map following geographical and taxonomical information. One may combine filters but pay attention to the total count of observations that relates to the particular combination of filters
  </dd>
  <dt><img alt="" src="/mgis/sites/crop-diversity.org.mgis/files/img/iNaturalistlogo.png" class="inaticon"></dt>
  <dd>If you are an iNaturalist observer and have added observations to this project, you may enter your iNaturalist user name in the upper box and see the locations of your own observations.</dd>
</dl>';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['path'] = 'musa-in-situ/map';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Map';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['inaturalist_advanced_search'] = $view;

  $view = new view();
  $view->name = 'inaturalist_list';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'stock';
  $view->human_name = 'iNaturalist list';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'iNaturalist list';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'uniquename' => 'uniquename',
    'dbxref_id' => 'dbxref_id',
    'organism_id_2' => 'organism_id_2',
    'organism_id' => 'organism_id',
    'organism_id_1' => 'organism_id_1',
    'value' => 'value',
    'value_1' => 'value_1',
    'php' => 'php',
    'is_not' => 'is_not',
  );
  $handler->display->display_options['style_options']['class'] = '';
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'uniquename' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'dbxref_id' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'organism_id_2' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'organism_id' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'organism_id_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'value' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'value_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'php' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'is_not' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: No observation found */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['ui_name'] = 'No observation found';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No corresponding observation found.';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Relationship: stockprop (iNaturalist country) */
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['id'] = 'stock_id_to_stockprop';
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['field'] = 'stock_id_to_stockprop';
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['ui_name'] = 'stockprop (iNaturalist country)';
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['label'] = 'stock_id => Stockprop (stock_id) iNaturalist country';
  /* Relationship: stock_cvterm (reviewed) */
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['id'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['field'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['ui_name'] = 'stock_cvterm (reviewed)';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['label'] = 'stock_id => Stock Cvterm (stock_id) reviewed';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['required'] = TRUE;
  /* Relationship: stock_cvterm (hidden) */
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['id'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['field'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['ui_name'] = 'stock_cvterm (hidden)';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['label'] = 'stock_id => Stock Cvterm (stock_id) hidden';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['required'] = TRUE;
  /* Relationship: nd_experiment_stock */
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['id'] = 'stock_id_to_nd_experiment_stock';
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['field'] = 'stock_id_to_nd_experiment_stock';
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['ui_name'] = 'nd_experiment_stock';
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['required'] = TRUE;
  /* Relationship: nd_experimentprop (Observation date) */
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['id'] = 'nd_experiment_id_to_nd_experimentprop';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['table'] = 'nd_experiment';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['field'] = 'nd_experiment_id_to_nd_experimentprop';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['relationship'] = 'stock_id_to_nd_experiment_stock';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['ui_name'] = 'nd_experimentprop (Observation date)';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['label'] = 'nd_experiment_id => Nd Experimentprop (nd_experiment_id) Observation date';
  /* Relationship: stock_dbxref (MGIS Traits) */
  $handler->display->display_options['relationships']['stock_id_to_stock_dbxref']['id'] = 'stock_id_to_stock_dbxref';
  $handler->display->display_options['relationships']['stock_id_to_stock_dbxref']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stock_dbxref']['field'] = 'stock_id_to_stock_dbxref';
  $handler->display->display_options['relationships']['stock_id_to_stock_dbxref']['ui_name'] = 'stock_dbxref (MGIS Traits)';
  $handler->display->display_options['relationships']['stock_id_to_stock_dbxref']['label'] = 'stock_id => Stock Dbxref (stock_id) MGIS Traits';
  /* Relationship: dbxref (MGIS Traits) */
  $handler->display->display_options['relationships']['dbxref_id_to_dbxref']['id'] = 'dbxref_id_to_dbxref';
  $handler->display->display_options['relationships']['dbxref_id_to_dbxref']['table'] = 'stock_dbxref';
  $handler->display->display_options['relationships']['dbxref_id_to_dbxref']['field'] = 'dbxref_id_to_dbxref';
  $handler->display->display_options['relationships']['dbxref_id_to_dbxref']['relationship'] = 'stock_id_to_stock_dbxref';
  $handler->display->display_options['relationships']['dbxref_id_to_dbxref']['ui_name'] = 'dbxref (MGIS Traits)';
  /* Field: Chado Stock: Uniquename */
  $handler->display->display_options['fields']['uniquename']['id'] = 'uniquename';
  $handler->display->display_options['fields']['uniquename']['table'] = 'stock';
  $handler->display->display_options['fields']['uniquename']['field'] = 'uniquename';
  $handler->display->display_options['fields']['uniquename']['label'] = 'Identifier';
  $handler->display->display_options['fields']['uniquename']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['uniquename']['alter']['path'] = 'accession/[uniquename]';
  $handler->display->display_options['fields']['uniquename']['alter']['alt'] = 'View observation details';
  /* Field: COUNT(Chado Dbxref: Dbxref Id) */
  $handler->display->display_options['fields']['dbxref_id']['id'] = 'dbxref_id';
  $handler->display->display_options['fields']['dbxref_id']['table'] = 'dbxref';
  $handler->display->display_options['fields']['dbxref_id']['field'] = 'dbxref_id';
  $handler->display->display_options['fields']['dbxref_id']['relationship'] = 'dbxref_id_to_dbxref';
  $handler->display->display_options['fields']['dbxref_id']['group_type'] = 'count';
  $handler->display->display_options['fields']['dbxref_id']['label'] = 'Pictures';
  $handler->display->display_options['fields']['dbxref_id']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['dbxref_id']['alter']['path'] = 'accession/[uniquename]';
  $handler->display->display_options['fields']['dbxref_id']['alter']['alt'] = 'Observation has [dbxref_id] picture(s) available';
  $handler->display->display_options['fields']['dbxref_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['dbxref_id']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['dbxref_id']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['dbxref_id']['separator'] = '';
  /* Field: Chado Stock: Organism Id */
  $handler->display->display_options['fields']['organism_id_2']['id'] = 'organism_id_2';
  $handler->display->display_options['fields']['organism_id_2']['table'] = 'stock';
  $handler->display->display_options['fields']['organism_id_2']['field'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id_2']['label'] = 'Genus';
  $handler->display->display_options['fields']['organism_id_2']['separator'] = '';
  $handler->display->display_options['fields']['organism_id_2']['format'] = 'genus';
  /* Field: Chado Stock: Organism Id */
  $handler->display->display_options['fields']['organism_id']['id'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id']['table'] = 'stock';
  $handler->display->display_options['fields']['organism_id']['field'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id']['label'] = 'Species/group';
  $handler->display->display_options['fields']['organism_id']['format'] = 'species';
  /* Field: Chado Stock: Organism Id */
  $handler->display->display_options['fields']['organism_id_1']['id'] = 'organism_id_1';
  $handler->display->display_options['fields']['organism_id_1']['table'] = 'stock';
  $handler->display->display_options['fields']['organism_id_1']['field'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id_1']['label'] = 'Subspecies/subgroup';
  $handler->display->display_options['fields']['organism_id_1']['format'] = 'subspecies';
  /* Field: Country */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'stockprop';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['fields']['value']['relationship'] = 'stock_id_to_stockprop';
  $handler->display->display_options['fields']['value']['ui_name'] = 'Country';
  $handler->display->display_options['fields']['value']['label'] = 'Country';
  $handler->display->display_options['fields']['value']['format'] = 'country';
  /* Field: Chado Nd Experimentprop: Value */
  $handler->display->display_options['fields']['value_1']['id'] = 'value_1';
  $handler->display->display_options['fields']['value_1']['table'] = 'nd_experimentprop';
  $handler->display->display_options['fields']['value_1']['field'] = 'value';
  $handler->display->display_options['fields']['value_1']['relationship'] = 'nd_experiment_id_to_nd_experimentprop';
  $handler->display->display_options['fields']['value_1']['label'] = 'Date';
  /* Field: stock.uniquename PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['ui_name'] = 'stock.uniquename PHP';
  $handler->display->display_options['fields']['php']['label'] = 'Source';
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_output'] = '<?php
$source = preg_replace(\'/\\d.*/\', \'\', $row->uniquename);
switch ($source) {
  case \'INAT\':
    $source = \'iNaturalist\';
    break;

  case \'BIBLIO\':
    $source = \'Bibliography\';
    break;

  case \'BIOVERSITY\':
    $source = \'Bioversity\';
    break;

  case \'GBIFIMPORT\':
    $source = \'GBIF (import)\';
    break;

  case \'GBIF\':
    $source = \'GBIF\';
    break;

  case \'FLICKR\':
    $source = \'Flickr\';
    break;

  case \'PROJECT\':
    $source = \'Project\';
    break;

  case \'GSV\':
    $source = \'Google Street View\';
    break;

  default:
    $source = \'Other\';
    break;
}
echo $source;
?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Field: Chado Stock Cvterm: Is Not */
  $handler->display->display_options['fields']['is_not']['id'] = 'is_not';
  $handler->display->display_options['fields']['is_not']['table'] = 'stock_cvterm';
  $handler->display->display_options['fields']['is_not']['field'] = 'is_not';
  $handler->display->display_options['fields']['is_not']['relationship'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['fields']['is_not']['label'] = 'Reviewed';
  $handler->display->display_options['fields']['is_not']['type'] = 'unicode-yes-no';
  $handler->display->display_options['fields']['is_not']['not'] = 1;
  /* Sort criterion: Chado Nd Experimentprop: Value */
  $handler->display->display_options['sorts']['value']['id'] = 'value';
  $handler->display->display_options['sorts']['value']['table'] = 'nd_experimentprop';
  $handler->display->display_options['sorts']['value']['field'] = 'value';
  $handler->display->display_options['sorts']['value']['relationship'] = 'nd_experiment_id_to_nd_experimentprop';
  $handler->display->display_options['sorts']['value']['order'] = 'DESC';
  /* Sort criterion: COUNT(Chado Dbxref: Dbxref Id) */
  $handler->display->display_options['sorts']['dbxref_id']['id'] = 'dbxref_id';
  $handler->display->display_options['sorts']['dbxref_id']['table'] = 'dbxref';
  $handler->display->display_options['sorts']['dbxref_id']['field'] = 'dbxref_id';
  $handler->display->display_options['sorts']['dbxref_id']['relationship'] = 'stock_id_to_stock_dbxref';
  $handler->display->display_options['sorts']['dbxref_id']['group_type'] = 'count';
  $handler->display->display_options['sorts']['dbxref_id']['order'] = 'DESC';
  /* Sort criterion: Chado Organism: Common Name */
  $handler->display->display_options['sorts']['common_name']['id'] = 'common_name';
  $handler->display->display_options['sorts']['common_name']['table'] = 'organism';
  $handler->display->display_options['sorts']['common_name']['field'] = 'common_name';
  /* Sort criterion: Chado Stock: Uniquename */
  $handler->display->display_options['sorts']['uniquename']['id'] = 'uniquename';
  $handler->display->display_options['sorts']['uniquename']['table'] = 'stock';
  $handler->display->display_options['sorts']['uniquename']['field'] = 'uniquename';
  /* Contextual filter: Stock ID List */
  $handler->display->display_options['arguments']['stock_id']['id'] = 'stock_id';
  $handler->display->display_options['arguments']['stock_id']['table'] = 'stock';
  $handler->display->display_options['arguments']['stock_id']['field'] = 'stock_id';
  $handler->display->display_options['arguments']['stock_id']['ui_name'] = 'Stock ID List';
  $handler->display->display_options['arguments']['stock_id']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['stock_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['stock_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['stock_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['stock_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['stock_id']['break_phrase'] = TRUE;
  /* Filter criterion: stockprop.type_id iNaturalist country */
  $handler->display->display_options['filters']['type_id_1']['id'] = 'type_id_1';
  $handler->display->display_options['filters']['type_id_1']['table'] = 'stockprop';
  $handler->display->display_options['filters']['type_id_1']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_1']['relationship'] = 'stock_id_to_stockprop';
  $handler->display->display_options['filters']['type_id_1']['ui_name'] = 'stockprop.type_id iNaturalist country';
  $handler->display->display_options['filters']['type_id_1']['value'] = '49667';
  $handler->display->display_options['filters']['type_id_1']['group'] = 1;
  $handler->display->display_options['filters']['type_id_1']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_1']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.cvterm_id reviewed */
  $handler->display->display_options['filters']['cvterm_id']['id'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id']['field'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id']['relationship'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id']['ui_name'] = 'stock_cvterm.cvterm_id reviewed';
  $handler->display->display_options['filters']['cvterm_id']['value'] = '49663';
  $handler->display->display_options['filters']['cvterm_id']['group'] = 1;
  /* Filter criterion: nd_experimentprop.type_id Observation date */
  $handler->display->display_options['filters']['type_id_2']['id'] = 'type_id_2';
  $handler->display->display_options['filters']['type_id_2']['table'] = 'nd_experimentprop';
  $handler->display->display_options['filters']['type_id_2']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_2']['relationship'] = 'nd_experiment_id_to_nd_experimentprop';
  $handler->display->display_options['filters']['type_id_2']['ui_name'] = 'nd_experimentprop.type_id Observation date';
  $handler->display->display_options['filters']['type_id_2']['value'] = '49668';
  $handler->display->display_options['filters']['type_id_2']['group'] = 1;
  $handler->display->display_options['filters']['type_id_2']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_2']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.cvterm_id hidden */
  $handler->display->display_options['filters']['cvterm_id_1']['id'] = 'cvterm_id_1';
  $handler->display->display_options['filters']['cvterm_id_1']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id_1']['field'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id_1']['relationship'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['filters']['cvterm_id_1']['ui_name'] = 'stock_cvterm.cvterm_id hidden';
  $handler->display->display_options['filters']['cvterm_id_1']['value'] = '49664';
  $handler->display->display_options['filters']['cvterm_id_1']['group'] = 1;
  $handler->display->display_options['filters']['cvterm_id_1']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['cvterm_id_1']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.is_not TRUE (not hidden) */
  $handler->display->display_options['filters']['is_not']['id'] = 'is_not';
  $handler->display->display_options['filters']['is_not']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['is_not']['field'] = 'is_not';
  $handler->display->display_options['filters']['is_not']['relationship'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['filters']['is_not']['ui_name'] = 'stock_cvterm.is_not TRUE (not hidden)';
  $handler->display->display_options['filters']['is_not']['value'] = '1';
  $handler->display->display_options['filters']['is_not']['group'] = 1;
  /* Filter criterion: stock.type_id inaturalist + banabiomap + GBIF */
  $handler->display->display_options['filters']['type_id']['id'] = 'type_id';
  $handler->display->display_options['filters']['type_id']['table'] = 'stock';
  $handler->display->display_options['filters']['type_id']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id']['ui_name'] = 'stock.type_id inaturalist + banabiomap + GBIF';
  $handler->display->display_options['filters']['type_id']['value'] = array(
    49726 => '49726',
    49750 => '49750',
    49661 => '49661',
  );
  $handler->display->display_options['filters']['type_id']['group'] = 1;
  $handler->display->display_options['filters']['type_id']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id']['select_multiple'] = TRUE;
  $handler->display->display_options['filters']['type_id']['max_length'] = '40';
  /* Filter criterion: dbxref_id MGIS Traits */
  $handler->display->display_options['filters']['db_id']['id'] = 'db_id';
  $handler->display->display_options['filters']['db_id']['table'] = 'dbxref';
  $handler->display->display_options['filters']['db_id']['field'] = 'db_id';
  $handler->display->display_options['filters']['db_id']['relationship'] = 'dbxref_id_to_dbxref';
  $handler->display->display_options['filters']['db_id']['ui_name'] = 'dbxref_id MGIS Traits';
  $handler->display->display_options['filters']['db_id']['value']['min'] = '158';
  $handler->display->display_options['filters']['db_id']['value']['max'] = '159';
  $handler->display->display_options['filters']['db_id']['value']['value'] = '158';
  /* Filter criterion: stock_cvterm.is_not FALSE (not reviewed) */
  $handler->display->display_options['filters']['is_not_1']['id'] = 'is_not_1';
  $handler->display->display_options['filters']['is_not_1']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['is_not_1']['field'] = 'is_not';
  $handler->display->display_options['filters']['is_not_1']['relationship'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['filters']['is_not_1']['ui_name'] = 'stock_cvterm.is_not FALSE (not reviewed)';
  $handler->display->display_options['filters']['is_not_1']['value'] = '0';

  /* Display: List */
  $handler = $view->new_display('attachment', 'List', 'inaturalist_list_attachment');
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '1000';
  $handler->display->display_options['pager']['options']['offset'] = '0';

  /* Display: Map */
  $handler = $view->new_display('attachment', 'Map', 'inaturalist_map_attachment');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'iNaturalist map';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'mgis_inaturalist_leaflet';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => '',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['map'] = 'mgis';
  $handler->display->display_options['style_options']['map_height'] = '500';
  $handler->display->display_options['style_options']['ip_geoloc_views_plugin_latitude'] = array(
    'views_php' => 'views_php',
  );
  $handler->display->display_options['style_options']['ip_geoloc_views_plugin_longitude'] = 'views_php_1';
  $handler->display->display_options['style_options']['visitor_marker']['visitor_marker_accuracy_circle'] = 0;
  $handler->display->display_options['style_options']['differentiator']['differentiator_field'] = 'stock_organism_id';
  $handler->display->display_options['style_options']['center_option'] = '0';
  $handler->display->display_options['style_options']['sync']['2'] = 0;
  $handler->display->display_options['style_options']['sync']['4'] = 0;
  $handler->display->display_options['style_options']['sync']['8'] = 1;
  $handler->display->display_options['style_options']['sync']['16'] = 1;
  $handler->display->display_options['style_options']['full_screen'] = 1;
  $handler->display->display_options['style_options']['scale_metric'] = 1;
  $handler->display->display_options['style_options']['scale_imperial'] = 0;
  $handler->display->display_options['style_options']['zoom_indicator'] = 1;
  $handler->display->display_options['style_options']['open_balloons_on_click'] = 1;
  $handler->display->display_options['style_options']['open_balloons_on_hover'] = 0;
  $handler->display->display_options['style_options']['goto_content_on_click'] = 0;
  $handler->display->display_options['style_options']['map_reset'] = 1;
  $handler->display->display_options['style_options']['map_cluster_toggle'] = 1;
  $handler->display->display_options['style_options']['mini_map']['on'] = 0;
  $handler->display->display_options['style_options']['mini_map']['height'] = '100';
  $handler->display->display_options['style_options']['mini_map']['width'] = '150';
  $handler->display->display_options['style_options']['mini_map']['toggle'] = 1;
  $handler->display->display_options['style_options']['mini_map']['zoom_delta'] = '-5';
  $handler->display->display_options['style_options']['cluster_radius'] = '80';
  $handler->display->display_options['style_options']['cluster_differentiator']['cluster_differentiator_fields'] = array(
    '' => '',
  );
  $handler->display->display_options['style_options']['cluster_differentiator']['zoom_ranges'] = array(
    1 => '',
  );
  $handler->display->display_options['style_options']['cluster_differentiator']['cluster_tooltips'] = 1;
  $handler->display->display_options['style_options']['cluster_differentiator']['cluster_outline'] = '0';
  $handler->display->display_options['style_options']['cluster_differentiator']['cluster_touch_mode'] = '1';
  $handler->display->display_options['style_options']['cluster_aggregation']['aggregation_function'] = 'average';
  $handler->display->display_options['style_options']['cluster_aggregation']['ranges']['small'] = '10';
  $handler->display->display_options['style_options']['cluster_aggregation']['ranges']['medium'] = '100';
  $handler->display->display_options['style_options']['cluster_aggregation']['ranges']['large'] = '1000';
  $handler->display->display_options['style_options']['map_options']['maxzoom'] = '18';
  $handler->display->display_options['style_options']['map_options']['zoom'] = '2';
  $handler->display->display_options['style_options']['map_options']['scrollwheelzoom'] = '1';
  $handler->display->display_options['style_options']['map_options']['dragging'] = '1';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['footer'] = FALSE;
  /* Footer: Legend */
  $handler->display->display_options['footer']['area_map_legend']['id'] = 'area_map_legend';
  $handler->display->display_options['footer']['area_map_legend']['table'] = 'views';
  $handler->display->display_options['footer']['area_map_legend']['field'] = 'area_map_legend';
  $handler->display->display_options['footer']['area_map_legend']['ui_name'] = 'Legend';
  $handler->display->display_options['footer']['area_map_legend']['label'] = 'Legend';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: stockprop (iNaturalist country) */
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['id'] = 'stock_id_to_stockprop';
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['field'] = 'stock_id_to_stockprop';
  $handler->display->display_options['relationships']['stock_id_to_stockprop']['ui_name'] = 'stockprop (iNaturalist country)';
  /* Relationship: stock_cvterm (reviewed) */
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['id'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['field'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['ui_name'] = 'stock_cvterm (reviewed)';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['label'] = 'stock_id => Stock Cvterm (stock_id) reviewed';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm']['required'] = TRUE;
  /* Relationship: stock_cvterm (hidden) */
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['id'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['field'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['ui_name'] = 'stock_cvterm (hidden)';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['label'] = 'stock_id => Stock Cvterm (stock_id) hidden';
  $handler->display->display_options['relationships']['stock_id_to_stock_cvterm_1']['required'] = TRUE;
  /* Relationship: nd_experiment_stock */
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['id'] = 'stock_id_to_nd_experiment_stock';
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['table'] = 'stock';
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['field'] = 'stock_id_to_nd_experiment_stock';
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['ui_name'] = 'nd_experiment_stock';
  $handler->display->display_options['relationships']['stock_id_to_nd_experiment_stock']['required'] = TRUE;
  /* Relationship: nd_experimentprop (observation date) */
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['id'] = 'nd_experiment_id_to_nd_experimentprop';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['table'] = 'nd_experiment';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['field'] = 'nd_experiment_id_to_nd_experimentprop';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['relationship'] = 'stock_id_to_nd_experiment_stock';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['ui_name'] = 'nd_experimentprop (observation date)';
  $handler->display->display_options['relationships']['nd_experiment_id_to_nd_experimentprop']['label'] = 'nd_experiment_id => Nd Experimentprop (nd_experiment_id) Observation date';
  /* Relationship: nd_geolocation */
  $handler->display->display_options['relationships']['nd_geolocation_id_to_nd_geolocation']['id'] = 'nd_geolocation_id_to_nd_geolocation';
  $handler->display->display_options['relationships']['nd_geolocation_id_to_nd_geolocation']['table'] = 'nd_experiment';
  $handler->display->display_options['relationships']['nd_geolocation_id_to_nd_geolocation']['field'] = 'nd_geolocation_id_to_nd_geolocation';
  $handler->display->display_options['relationships']['nd_geolocation_id_to_nd_geolocation']['relationship'] = 'stock_id_to_nd_experiment_stock';
  $handler->display->display_options['relationships']['nd_geolocation_id_to_nd_geolocation']['ui_name'] = 'nd_geolocation';
  $handler->display->display_options['relationships']['nd_geolocation_id_to_nd_geolocation']['required'] = TRUE;
  /* Relationship: Chado Stock: type_id => Cvterm (cvterm_id) */
  $handler->display->display_options['relationships']['type_id_to_cvterm']['id'] = 'type_id_to_cvterm';
  $handler->display->display_options['relationships']['type_id_to_cvterm']['table'] = 'stock';
  $handler->display->display_options['relationships']['type_id_to_cvterm']['field'] = 'type_id_to_cvterm';
  /* Relationship: Chado Stock: organism_id => Organism (organism_id) */
  $handler->display->display_options['relationships']['organism_id_to_organism']['id'] = 'organism_id_to_organism';
  $handler->display->display_options['relationships']['organism_id_to_organism']['table'] = 'stock';
  $handler->display->display_options['relationships']['organism_id_to_organism']['field'] = 'organism_id_to_organism';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Chado Stock: Stock Id */
  $handler->display->display_options['fields']['stock_id']['id'] = 'stock_id';
  $handler->display->display_options['fields']['stock_id']['table'] = 'stock';
  $handler->display->display_options['fields']['stock_id']['field'] = 'stock_id';
  $handler->display->display_options['fields']['stock_id']['label'] = '';
  $handler->display->display_options['fields']['stock_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['stock_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['stock_id']['separator'] = '';
  /* Field: Chado Stock: Uniquename */
  $handler->display->display_options['fields']['uniquename']['id'] = 'uniquename';
  $handler->display->display_options['fields']['uniquename']['table'] = 'stock';
  $handler->display->display_options['fields']['uniquename']['field'] = 'uniquename';
  $handler->display->display_options['fields']['uniquename']['label'] = 'Identifier';
  $handler->display->display_options['fields']['uniquename']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['uniquename']['alter']['path'] = 'accession/[uniquename]';
  $handler->display->display_options['fields']['uniquename']['alter']['alt'] = 'View observation details';
  /* Field: Chado Cvterm: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'cvterm';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'type_id_to_cvterm';
  $handler->display->display_options['fields']['name']['label'] = 'Source';
  /* Field: Chado Stock: Organism Id */
  $handler->display->display_options['fields']['organism_id_2']['id'] = 'organism_id_2';
  $handler->display->display_options['fields']['organism_id_2']['table'] = 'stock';
  $handler->display->display_options['fields']['organism_id_2']['field'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id_2']['label'] = 'Genus';
  $handler->display->display_options['fields']['organism_id_2']['separator'] = '';
  $handler->display->display_options['fields']['organism_id_2']['format'] = 'genus';
  /* Field: Chado Stock: Organism Id */
  $handler->display->display_options['fields']['organism_id']['id'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id']['table'] = 'stock';
  $handler->display->display_options['fields']['organism_id']['field'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id']['label'] = 'Taxon';
  $handler->display->display_options['fields']['organism_id']['format'] = 'species';
  /* Field: Chado Stock: Organism Id */
  $handler->display->display_options['fields']['organism_id_1']['id'] = 'organism_id_1';
  $handler->display->display_options['fields']['organism_id_1']['table'] = 'stock';
  $handler->display->display_options['fields']['organism_id_1']['field'] = 'organism_id';
  $handler->display->display_options['fields']['organism_id_1']['label'] = 'Subtaxon';
  $handler->display->display_options['fields']['organism_id_1']['format'] = 'subspecies';
  /* Field: Country */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'stockprop';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['fields']['value']['relationship'] = 'stock_id_to_stockprop';
  $handler->display->display_options['fields']['value']['ui_name'] = 'Country';
  $handler->display->display_options['fields']['value']['label'] = 'Country';
  $handler->display->display_options['fields']['value']['format'] = 'country';
  /* Field: Chado Nd Experimentprop: Value */
  $handler->display->display_options['fields']['value_1']['id'] = 'value_1';
  $handler->display->display_options['fields']['value_1']['table'] = 'nd_experimentprop';
  $handler->display->display_options['fields']['value_1']['field'] = 'value';
  $handler->display->display_options['fields']['value_1']['relationship'] = 'nd_experiment_id_to_nd_experimentprop';
  $handler->display->display_options['fields']['value_1']['label'] = 'Date';
  /* Field: Chado Stock Cvterm: Is Not */
  $handler->display->display_options['fields']['is_not']['id'] = 'is_not';
  $handler->display->display_options['fields']['is_not']['table'] = 'stock_cvterm';
  $handler->display->display_options['fields']['is_not']['field'] = 'is_not';
  $handler->display->display_options['fields']['is_not']['relationship'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['fields']['is_not']['label'] = 'Hidden';
  $handler->display->display_options['fields']['is_not']['type'] = 'unicode-yes-no';
  $handler->display->display_options['fields']['is_not']['not'] = 1;
  /* Field: Chado Nd Geolocation: Latitude */
  $handler->display->display_options['fields']['latitude']['id'] = 'latitude';
  $handler->display->display_options['fields']['latitude']['table'] = 'nd_geolocation';
  $handler->display->display_options['fields']['latitude']['field'] = 'latitude';
  $handler->display->display_options['fields']['latitude']['relationship'] = 'nd_geolocation_id_to_nd_geolocation';
  $handler->display->display_options['fields']['latitude']['exclude'] = TRUE;
  /* Field: Chado Nd Geolocation: Longitude */
  $handler->display->display_options['fields']['longitude']['id'] = 'longitude';
  $handler->display->display_options['fields']['longitude']['table'] = 'nd_geolocation';
  $handler->display->display_options['fields']['longitude']['field'] = 'longitude';
  $handler->display->display_options['fields']['longitude']['relationship'] = 'nd_geolocation_id_to_nd_geolocation';
  $handler->display->display_options['fields']['longitude']['exclude'] = TRUE;
  /* Field: Latitude */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['ui_name'] = 'Latitude';
  $handler->display->display_options['fields']['php']['label'] = 'Latitude';
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_value'] = 'return $row->latitude;';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Field: Longitude */
  $handler->display->display_options['fields']['php_1']['id'] = 'php_1';
  $handler->display->display_options['fields']['php_1']['table'] = 'views';
  $handler->display->display_options['fields']['php_1']['field'] = 'php';
  $handler->display->display_options['fields']['php_1']['ui_name'] = 'Longitude';
  $handler->display->display_options['fields']['php_1']['label'] = 'Longitude';
  $handler->display->display_options['fields']['php_1']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_1']['php_value'] = 'return $row->longitude;';
  $handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
  /* Field: Chado Organism: Species */
  $handler->display->display_options['fields']['species']['id'] = 'species';
  $handler->display->display_options['fields']['species']['table'] = 'organism';
  $handler->display->display_options['fields']['species']['field'] = 'species';
  $handler->display->display_options['fields']['species']['label'] = '';
  $handler->display->display_options['fields']['species']['exclude'] = TRUE;
  $handler->display->display_options['fields']['species']['element_label_colon'] = FALSE;
  /* Field: Main picture */
  $handler->display->display_options['fields']['php_2']['id'] = 'php_2';
  $handler->display->display_options['fields']['php_2']['table'] = 'views';
  $handler->display->display_options['fields']['php_2']['field'] = 'php';
  $handler->display->display_options['fields']['php_2']['ui_name'] = 'Main picture';
  $handler->display->display_options['fields']['php_2']['label'] = '';
  $handler->display->display_options['fields']['php_2']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php_2']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_2']['php_output'] = '<?php
$result = chado_query(
  \'SELECT db.urlprefix, dbx.accession, sdbx.stock_dbxref_id
  FROM {stock_dbxref} sdbx
    JOIN {dbxref} dbx USING (dbxref_id)
    JOIN {db} db USING (db_id)
  WHERE
    db.name = \\\'MGIS Main Pictures\\\'
    AND sdbx.stock_id = :stock_id
  ;\',
  array(\':stock_id\' => $row->stock_id)
);
$main_picture = $result->fetchAssoc();
if ($main_picture) {
  print mgis_display_main_picture($main_picture[\'urlprefix\'], $main_picture[\'accession\'], $main_picture[\'stock_dbxref_id\'], \'\', $row->species);
}
?>
';
  $handler->display->display_options['fields']['php_2']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_2']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: stock.type_id inaturalist + banabiomap + GBIF */
  $handler->display->display_options['filters']['type_id']['id'] = 'type_id';
  $handler->display->display_options['filters']['type_id']['table'] = 'stock';
  $handler->display->display_options['filters']['type_id']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id']['ui_name'] = 'stock.type_id inaturalist + banabiomap + GBIF';
  $handler->display->display_options['filters']['type_id']['value'] = array(
    49726 => '49726',
    49750 => '49750',
    49661 => '49661',
  );
  $handler->display->display_options['filters']['type_id']['group'] = 1;
  $handler->display->display_options['filters']['type_id']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id']['select_multiple'] = TRUE;
  $handler->display->display_options['filters']['type_id']['max_length'] = '40';
  /* Filter criterion: stockprop.type_id iNaturalist country */
  $handler->display->display_options['filters']['type_id_1']['id'] = 'type_id_1';
  $handler->display->display_options['filters']['type_id_1']['table'] = 'stockprop';
  $handler->display->display_options['filters']['type_id_1']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_1']['relationship'] = 'stock_id_to_stockprop';
  $handler->display->display_options['filters']['type_id_1']['ui_name'] = 'stockprop.type_id iNaturalist country';
  $handler->display->display_options['filters']['type_id_1']['value'] = '49667';
  $handler->display->display_options['filters']['type_id_1']['group'] = 1;
  $handler->display->display_options['filters']['type_id_1']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_1']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.cvterm_id reviewed */
  $handler->display->display_options['filters']['cvterm_id']['id'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id']['field'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id']['relationship'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id']['ui_name'] = 'stock_cvterm.cvterm_id reviewed';
  $handler->display->display_options['filters']['cvterm_id']['value'] = '49663';
  $handler->display->display_options['filters']['cvterm_id']['group'] = 1;
  /* Filter criterion: nd_experimentprop.type_id Observation date */
  $handler->display->display_options['filters']['type_id_2']['id'] = 'type_id_2';
  $handler->display->display_options['filters']['type_id_2']['table'] = 'nd_experimentprop';
  $handler->display->display_options['filters']['type_id_2']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_2']['relationship'] = 'nd_experiment_id_to_nd_experimentprop';
  $handler->display->display_options['filters']['type_id_2']['ui_name'] = 'nd_experimentprop.type_id Observation date';
  $handler->display->display_options['filters']['type_id_2']['value'] = '49668';
  $handler->display->display_options['filters']['type_id_2']['group'] = 1;
  $handler->display->display_options['filters']['type_id_2']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_2']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.cvterm_id hidden */
  $handler->display->display_options['filters']['cvterm_id_1']['id'] = 'cvterm_id_1';
  $handler->display->display_options['filters']['cvterm_id_1']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id_1']['field'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id_1']['relationship'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['filters']['cvterm_id_1']['ui_name'] = 'stock_cvterm.cvterm_id hidden';
  $handler->display->display_options['filters']['cvterm_id_1']['value'] = '49664';
  $handler->display->display_options['filters']['cvterm_id_1']['group'] = 1;
  $handler->display->display_options['filters']['cvterm_id_1']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['cvterm_id_1']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.is_not TRUE (not hidden) */
  $handler->display->display_options['filters']['is_not']['id'] = 'is_not';
  $handler->display->display_options['filters']['is_not']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['is_not']['field'] = 'is_not';
  $handler->display->display_options['filters']['is_not']['relationship'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['filters']['is_not']['ui_name'] = 'stock_cvterm.is_not TRUE (not hidden)';
  $handler->display->display_options['filters']['is_not']['value'] = '1';
  $handler->display->display_options['filters']['is_not']['group'] = 1;

  /* Display: Hidden observations */
  $handler = $view->new_display('page', 'Hidden observations', 'page_1');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    49 => '49',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: stockprop.type_id iNaturalist country */
  $handler->display->display_options['filters']['type_id_1']['id'] = 'type_id_1';
  $handler->display->display_options['filters']['type_id_1']['table'] = 'stockprop';
  $handler->display->display_options['filters']['type_id_1']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_1']['relationship'] = 'stock_id_to_stockprop';
  $handler->display->display_options['filters']['type_id_1']['ui_name'] = 'stockprop.type_id iNaturalist country';
  $handler->display->display_options['filters']['type_id_1']['value'] = '49667';
  $handler->display->display_options['filters']['type_id_1']['group'] = 1;
  $handler->display->display_options['filters']['type_id_1']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_1']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.cvterm_id reviewed */
  $handler->display->display_options['filters']['cvterm_id']['id'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id']['field'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id']['relationship'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id']['ui_name'] = 'stock_cvterm.cvterm_id reviewed';
  $handler->display->display_options['filters']['cvterm_id']['value'] = '49663';
  $handler->display->display_options['filters']['cvterm_id']['group'] = 1;
  /* Filter criterion: nd_experimentprop.type_id Observation date */
  $handler->display->display_options['filters']['type_id_2']['id'] = 'type_id_2';
  $handler->display->display_options['filters']['type_id_2']['table'] = 'nd_experimentprop';
  $handler->display->display_options['filters']['type_id_2']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_2']['relationship'] = 'nd_experiment_id_to_nd_experimentprop';
  $handler->display->display_options['filters']['type_id_2']['ui_name'] = 'nd_experimentprop.type_id Observation date';
  $handler->display->display_options['filters']['type_id_2']['value'] = '49668';
  $handler->display->display_options['filters']['type_id_2']['group'] = 1;
  $handler->display->display_options['filters']['type_id_2']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_2']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.cvterm_id hidden */
  $handler->display->display_options['filters']['cvterm_id_1']['id'] = 'cvterm_id_1';
  $handler->display->display_options['filters']['cvterm_id_1']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id_1']['field'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id_1']['relationship'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['filters']['cvterm_id_1']['ui_name'] = 'stock_cvterm.cvterm_id hidden';
  $handler->display->display_options['filters']['cvterm_id_1']['value'] = '49664';
  $handler->display->display_options['filters']['cvterm_id_1']['group'] = 1;
  $handler->display->display_options['filters']['cvterm_id_1']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['cvterm_id_1']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.is_not TRUE (not hidden) */
  $handler->display->display_options['filters']['is_not']['id'] = 'is_not';
  $handler->display->display_options['filters']['is_not']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['is_not']['field'] = 'is_not';
  $handler->display->display_options['filters']['is_not']['relationship'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['filters']['is_not']['ui_name'] = 'stock_cvterm.is_not TRUE (not hidden)';
  $handler->display->display_options['filters']['is_not']['value'] = '0';
  $handler->display->display_options['filters']['is_not']['group'] = 1;
  /* Filter criterion: stock.type_id inaturalist + banabiomap + GBIF */
  $handler->display->display_options['filters']['type_id']['id'] = 'type_id';
  $handler->display->display_options['filters']['type_id']['table'] = 'stock';
  $handler->display->display_options['filters']['type_id']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id']['ui_name'] = 'stock.type_id inaturalist + banabiomap + GBIF';
  $handler->display->display_options['filters']['type_id']['value'] = array(
    49726 => '49726',
    49750 => '49750',
    49661 => '49661',
  );
  $handler->display->display_options['filters']['type_id']['group'] = 1;
  $handler->display->display_options['filters']['type_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type_id']['expose']['operator_id'] = 'type_id_op';
  $handler->display->display_options['filters']['type_id']['expose']['label'] = 'Source';
  $handler->display->display_options['filters']['type_id']['expose']['operator'] = 'type_id_op';
  $handler->display->display_options['filters']['type_id']['expose']['identifier'] = 'data_source';
  $handler->display->display_options['filters']['type_id']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['type_id']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['type_id']['group_info']['label'] = 'Source';
  $handler->display->display_options['filters']['type_id']['group_info']['identifier'] = 'data_source';
  $handler->display->display_options['filters']['type_id']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'iNaturalist',
      'operator' => '=',
      'value' => array(
        49661 => '49661',
      ),
    ),
    2 => array(
      'title' => 'GBIF',
      'operator' => '=',
      'value' => array(
        49750 => '49750',
      ),
    ),
    3 => array(
      'title' => 'Other',
      'operator' => '=',
      'value' => array(
        49726 => '49726',
      ),
    ),
  );
  $handler->display->display_options['filters']['type_id']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id']['select_multiple'] = TRUE;
  $handler->display->display_options['filters']['type_id']['max_length'] = '40';
  $handler->display->display_options['path'] = 'musa-in-situ/hidden';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Hidden observations';
  $handler->display->display_options['menu']['description'] = 'Restricted to admins only';
  $handler->display->display_options['menu']['weight'] = '3';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Not reviewed */
  $handler = $view->new_display('page', 'Not reviewed', 'page_2');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    49 => '49',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: stockprop.type_id iNaturalist country */
  $handler->display->display_options['filters']['type_id_1']['id'] = 'type_id_1';
  $handler->display->display_options['filters']['type_id_1']['table'] = 'stockprop';
  $handler->display->display_options['filters']['type_id_1']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_1']['relationship'] = 'stock_id_to_stockprop';
  $handler->display->display_options['filters']['type_id_1']['ui_name'] = 'stockprop.type_id iNaturalist country';
  $handler->display->display_options['filters']['type_id_1']['value'] = '49667';
  $handler->display->display_options['filters']['type_id_1']['group'] = 1;
  $handler->display->display_options['filters']['type_id_1']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_1']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.cvterm_id reviewed */
  $handler->display->display_options['filters']['cvterm_id']['id'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id']['field'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id']['relationship'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id']['ui_name'] = 'stock_cvterm.cvterm_id reviewed';
  $handler->display->display_options['filters']['cvterm_id']['value'] = '49663';
  $handler->display->display_options['filters']['cvterm_id']['group'] = 1;
  /* Filter criterion: nd_experimentprop.type_id Observation date */
  $handler->display->display_options['filters']['type_id_2']['id'] = 'type_id_2';
  $handler->display->display_options['filters']['type_id_2']['table'] = 'nd_experimentprop';
  $handler->display->display_options['filters']['type_id_2']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id_2']['relationship'] = 'nd_experiment_id_to_nd_experimentprop';
  $handler->display->display_options['filters']['type_id_2']['ui_name'] = 'nd_experimentprop.type_id Observation date';
  $handler->display->display_options['filters']['type_id_2']['value'] = '49668';
  $handler->display->display_options['filters']['type_id_2']['group'] = 1;
  $handler->display->display_options['filters']['type_id_2']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id_2']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.cvterm_id hidden */
  $handler->display->display_options['filters']['cvterm_id_1']['id'] = 'cvterm_id_1';
  $handler->display->display_options['filters']['cvterm_id_1']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['cvterm_id_1']['field'] = 'cvterm_id';
  $handler->display->display_options['filters']['cvterm_id_1']['relationship'] = 'stock_id_to_stock_cvterm_1';
  $handler->display->display_options['filters']['cvterm_id_1']['ui_name'] = 'stock_cvterm.cvterm_id hidden';
  $handler->display->display_options['filters']['cvterm_id_1']['value'] = '49664';
  $handler->display->display_options['filters']['cvterm_id_1']['group'] = 1;
  $handler->display->display_options['filters']['cvterm_id_1']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['cvterm_id_1']['max_length'] = '40';
  /* Filter criterion: stock_cvterm.is_not TRUE (not reviewed) */
  $handler->display->display_options['filters']['is_not']['id'] = 'is_not';
  $handler->display->display_options['filters']['is_not']['table'] = 'stock_cvterm';
  $handler->display->display_options['filters']['is_not']['field'] = 'is_not';
  $handler->display->display_options['filters']['is_not']['relationship'] = 'stock_id_to_stock_cvterm';
  $handler->display->display_options['filters']['is_not']['ui_name'] = 'stock_cvterm.is_not TRUE (not reviewed)';
  $handler->display->display_options['filters']['is_not']['value'] = '1';
  $handler->display->display_options['filters']['is_not']['group'] = 1;
  /* Filter criterion: stock.type_id inaturalist + banabiomap + GBIF */
  $handler->display->display_options['filters']['type_id']['id'] = 'type_id';
  $handler->display->display_options['filters']['type_id']['table'] = 'stock';
  $handler->display->display_options['filters']['type_id']['field'] = 'type_id';
  $handler->display->display_options['filters']['type_id']['ui_name'] = 'stock.type_id inaturalist + banabiomap + GBIF';
  $handler->display->display_options['filters']['type_id']['value'] = array(
    49726 => '49726',
    49750 => '49750',
    49661 => '49661',
  );
  $handler->display->display_options['filters']['type_id']['group'] = 1;
  $handler->display->display_options['filters']['type_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type_id']['expose']['operator_id'] = 'type_id_op';
  $handler->display->display_options['filters']['type_id']['expose']['label'] = 'Type Id';
  $handler->display->display_options['filters']['type_id']['expose']['operator'] = 'type_id_op';
  $handler->display->display_options['filters']['type_id']['expose']['identifier'] = 'type_id';
  $handler->display->display_options['filters']['type_id']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['type_id']['group_info']['label'] = 'Source';
  $handler->display->display_options['filters']['type_id']['group_info']['identifier'] = 'data_source';
  $handler->display->display_options['filters']['type_id']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'iNaturalist',
      'operator' => '=',
      'value' => array(
        49661 => '49661',
      ),
    ),
    2 => array(
      'title' => 'GBIF',
      'operator' => '=',
      'value' => array(
        49750 => '49750',
      ),
    ),
    3 => array(
      'title' => 'Other',
      'operator' => '=',
      'value' => array(
        49726 => '49726',
      ),
    ),
  );
  $handler->display->display_options['filters']['type_id']['values_form_type'] = 'select';
  $handler->display->display_options['filters']['type_id']['select_multiple'] = TRUE;
  $handler->display->display_options['filters']['type_id']['max_length'] = '40';
  $handler->display->display_options['path'] = 'musa-in-situ/not-reviewed';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Not reviewed';
  $handler->display->display_options['menu']['description'] = 'Restricted to admins only';
  $handler->display->display_options['menu']['weight'] = '4';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['inaturalist_list'] = $view;

  return $export;
}
